# supplemental profile for linuxmuster client

# no redirection for local users
if ( test -n "$USER" && ! grep -q ^${USER}: /etc/passwd; ) then

	# read linuxmuster-client default variables
	. /usr/share/linuxmuster-client/config
	. /usr/share/linuxmuster-client/helperfunctions.sh

	# Redirects KDE Home to /tmp
	setenv KDEHOME "/tmp/.kde_${USER}"

	# user's desktop has also to be in /tmp
	setenv DESKTOP "/tmp/Desktop_${USER}"

	# user's .local has also to be in /tmp
	setenv DOTLOCAL "/tmp/.local_${USER}"

	# Redirects access token file for dcopserver to /tmp
	setenv ICEAUTHORITY "/tmp/${USER}_ICEauthority_${HOSTNAME}"

	# Redirects the file "how to access the dcopserver" to /tmp
	setenv DCOPAUTHORITY "/tmp/${USER}_DCOPserver-${HOSTNAME}_on_${DISPLAY}"

fi

